OpenViBE forum

The OpenViBE community
It is currently Wed Sep 18, 2019 11:53 am

All times are UTC




Post new topic Reply to topic  [ 4 posts ] 
Author Message
PostPosted: Sun Oct 11, 2009 9:36 am 
Offline

Joined: Sun Oct 11, 2009 9:16 am
Posts: 2
Hi!

I am trying to install your software from:
OpenViBE 0.4.0 RC 4 (svn 1651) sources (2009/06/29)

I tried to follow the instructions, and did:
./linux-install_dependencies
(after several problems -- installing some packages through apt-get, it worked)
cp linux-init_env_command-skeleton linux-init_env_command
./linux-build
and I get:
In file included from /home/jn/openvibe/openvibe-kernel-omk/trunc/src/openvibe-kernel/kernel/ovkCKernelObjectFactory.cpp:8:
/home/jn/openvibe/openvibe-kernel-omk/trunc/src/openvibe-kernel/kernel/visualisation/ovkCVisualisationTree.h:9:21: error: gtk/gtk.h: No such file or directory
In file included from /home/jn/openvibe/openvibe-kernel-omk/trunc/src/openvibe-kernel/kernel/ovkCKernelObjectFactory.cpp:8:
/home/jn/openvibe/openvibe-kernel-omk/trunc/src/openvibe-kernel/kernel/visualisation/ovkCVisualisationTree.h:270: błąd: ISO C++ forbids declaration of `GtkTreeStore, with no type
/home/jn/openvibe/openvibe-kernel-omk/trunc/src/openvibe-kernel/kernel/visualisation/ovkCVisualisationTree.h:270: błąd: invalid use of `::,
/home/jn/openvibe/openvibe-kernel-omk/trunc/src/openvibe-kernel/kernel/visualisation/ovkCVisualisationTree.h:270: błąd: expected `;, before `*, token
/home/jn/openvibe/openvibe-kernel-omk/trunc/src/openvibe-kernel/kernel/visualisation/ovkCVisualisationTree.h:271: błąd: field `m_oInternalTreeNode, has incomplete type
make[2]: *** [src/CMakeFiles/OpenViBE-kernel-dynamic.dir/openvibe-kernel/kernel/ovkCKernelObjectFactory.o] Błąd 1
make[2]: *** Oczekiwanie na niezakończone zadania....
make[1]: *** [src/CMakeFiles/OpenViBE-kernel-dynamic.dir/all] Błąd 2
make: *** [all] Błąd 2

What should I do now?


Top
 Profile  
Reply with quote  
PostPosted: Mon Oct 12, 2009 9:14 am 
Offline
Site Admin

Joined: Fri Sep 01, 2006 3:39 pm
Posts: 645
Hello _In_, thank you for your interest in OpenViBE and welcome on this forum,

It looks like you don't have gtk development files installed. The ./linux-install_dependencies script should have compiled a version of this library but it looks like it did not. What linux distro are you using ?

Quote:
(after several problems -- installing some packages through apt-get, it worked)


What do you mean, can you post e.g. the gtk.log file (will probably explain why GTK is not present)

For your information, the current SVN version of this script uses apt-get on Ubuntu and yum on Fedora in order to install the native packages (this avoids compilations and potential errors). Depending on your distro / time to tweak the script you currently have, you may want to build the sources from the SVN or wait for the new release in a few weeks.

Best regards,
Yann


Top
 Profile  
Reply with quote  
PostPosted: Mon Oct 12, 2009 4:54 pm 
Offline

Joined: Sun Oct 11, 2009 9:16 am
Posts: 2
Thank you for your reply :)

The distribution I use is Ubuntu 8.04.3

I had libktk2.0-dev installed, however it was located in /usr/include/gtk-2.0/gtk

so I linked gtk to it.
But it resulted in other problems -- so I gave up and got the freshest version from svn and it builds perfectly ;)

I will now play around with it :)

Thanks!


Top
 Profile  
Reply with quote  
PostPosted: Tue Oct 13, 2009 8:15 am 
Offline
Site Admin

Joined: Fri Sep 01, 2006 3:39 pm
Posts: 645
Enjoy ;)


Top
 Profile  
Reply with quote  
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 4 posts ] 

All times are UTC


Who is online

Users browsing this forum: No registered users and 1 guest


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
cron
Powered by phpBB® Forum Software © phpBB Group
Americanized by Maël Soucaze.